package com.yami.shop.service.xsb;

import com.yami.shop.bean.vo.xsb.RefundOrderPushVo;
import com.yami.shop.common.bean.smqjh.OrderRefundCancelVo;
import com.yami.shop.common.bean.smqjh.OrderRefundExpressParamVo;
import com.yami.shop.common.util.R;

public interface XSBRefundOrderService {
    /**
     * 进行推送退款订单
     * @param refundOrderPushVo
     * @return
     */
    R<String> applyAfterSales(RefundOrderPushVo refundOrderPushVo,String logId);

    R<String> applySmqjhAfterSales(RefundOrderPushVo refundOrderPushVo, String logId);

    /**
     * 同步物流修改信息
     * @param orderRefundExpressParam
     * @return
     */
    R<String> updateExpress(OrderRefundExpressParamVo orderRefundExpressParam);
    /**
     * 取消订单
     * @return
     */
    R<String> cancel(OrderRefundCancelVo orderRefundCancelVo,String logId);

    /**
     * 变更海博订单状态
     * @param orderNumber 订单编号
     * @param status 目标状态
     * @return
     */
    R<String> changeHbOrderStatus(String orderNumber, Integer status);

    /**
     * 变更海博退款订单状态
     * @param refundSn
     * @param status
     * @return
     */
    R<String> changeHbRefundOrderStatus(String refundSn, Integer status);
}
